Content gaps
Enabled prompts with their latest coverage.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidtypes?stringComma-separated prompt types
length <= 2000intents?stringComma-separated prompt intents
length <= 2000topics?stringComma-separated topic ids
length <= 2000q?stringMatches the prompt text
length <= 200sort?string"coverage""coverage""analyzed""prompt"order?string"asc""asc""desc"page?integer1 <= value1pageSize?integer1 <= value <= 50025One page of prompts
application/jsonitems*array<>total*integerpage*integerpageSize*integercurl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts'{ "items": [ { "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67", "text": "string", "type": "string", "intent": "string", "score": 0, "level": "excellent", "queries": 0, "action": "create", "analyzedAt": "string", "failed": true } ], "total": 0, "page": 0, "pageSize": 0}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts'{
"items": [
{
"promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
"text": "string",
"type": "string",
"intent": "string",
"score": 0,
"level": "excellent",
"queries": 0,
"action": "create",
"analyzedAt": "string",
"failed": true
}
],
"total": 0,
"page": 0,
"pageSize": 0
}